Bug 138959 - Object not properly filled with gradient after scroll down up (not skia specific)
Summary: Object not properly filled with gradient after scroll down up (not skia speci...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.1.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: Luboš Luňák
URL:
Whiteboard: target:7.2.0 target:7.1.0.2
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2020-12-15 21:47 UTC by Telesto
Modified: 2021-05-21 13:00 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Example file (12.21 KB, application/vnd.oasis.opendocument.text)
2020-12-15 21:47 UTC, Telesto
Details
Screenshot (149.29 KB, image/jpeg)
2020-12-15 21:48 UTC, Telesto
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2020-12-15 21:47:28 UTC
Description:
Object not properly filled with gradient after scroll down up

Steps to Reproduce:
1. Open the attached file
2. Scroll down
3. Scroll up

Also happening when zooming in a lot

Actual Results:
See screenshot

Expected Results:
Should not happen


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 7.2.0.0.alpha0+ (x64)
Build ID: 15e4427e8fb56a143caa28b8a3120f3761fc77a5
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: default; VCL: win
Locale: nl-NL (nl_NL); UI: en-US
Calc: CL
Comment 1 Telesto 2020-12-15 21:47:50 UTC
Created attachment 168207 [details]
Example file
Comment 2 Telesto 2020-12-15 21:48:03 UTC
Created attachment 168208 [details]
Screenshot
Comment 3 Telesto 2020-12-15 21:49:37 UTC
Also in
Version: 7.1.0.0.beta1+ (x64)
Build ID: f9fab4203c1aa0b9a3f27ce2713b6d5addc7df19
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win
Locale: nl-NL (nl_NL); UI: nl-NL
Calc: CL
Comment 4 Telesto 2020-12-15 21:50:28 UTC
Fine with
Version: 7.0.0.0.beta1+ (x64)
Build ID: 2891e91a513520d68ea2b8c59c14335861a15253
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: default; VCL: win
Locale: nl-NL (nl_NL); UI: en-US
Calc: CL
Comment 5 mulla.tasanim 2020-12-16 16:27:14 UTC
Thank you for reporting the bug. 

I can confirm that the bug is present in,

Version: 7.2.0.0.alpha0+ (x64)
Build ID: 761a672d62df1891b9f4f367a499b220ab2b33fa
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win
Locale: en-US (en_US); UI: en-US
Calc: CL

I can not reproduce the bug in,

Version: 7.0.3.1 (x64)
Build ID: d7547858d014d4cf69878db179d326fc3483e082
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win
Locale: en-US (en_US); UI: en-US
Calc: CL
Comment 6 raal 2020-12-22 00:10:57 UTC
This seems to have begun at the below commit.
Adding Cc: to Luboš Luňák ; Could you possibly take a look at this one?
Thanks
linux-64-7.1$
ad6b6b98e691a4bdcdd102dfbb800f04307e4f0a is the first bad commit
commit ad6b6b98e691a4bdcdd102dfbb800f04307e4f0a
Author: Jenkins Build User <tdf@pollux.tdf>
Date:   Sat Sep 26 04:27:07 2020 +0200

    source sha:20c09d351ee060bdde13d92d2bf86dd998cdb0cb

https://gerrit.libreoffice.org/c/core/+/103374
use vcl lin. gradient drawing in drawinglayer + cairo impl.

This adds a divert for drawing of linear gradients drawing, which
can be implemented natively with a much higher quality and speed.

This also adds a implementation of drawing linear gradients with
cairo.

Change-Id: I8c39915c3579e6eb88cdce8ae4ac9694ffdb4957
Reviewed-on: https://gerrit.libreoffice.org/c/core/+/103374
Tested-by: Jenkins
Reviewed-by: Luboš Luňák <l.lunak@collabora.com>
Comment 7 Commit Notification 2021-01-07 15:27:44 UTC
Luboš Luňák committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/41cabebf9c95459c2c1912528446c45e70c3f203

set fill color when filling alphavdev area for gradients (tdf#138959)

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2021-01-11 00:45:28 UTC
Luboš Luňák committed a patch related to this issue.
It has been pushed to "libreoffice-7-1":

https://git.libreoffice.org/core/commit/1ad7e5a6c67fddb39a79f62b4b5e93304f6e04b2

set fill color when filling alphavdev area for gradients (tdf#138959)

It will be available in 7.1.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.